/*
 * Qt5-UKUI's Library
 *
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: xibowen <xibowen@kylinos.cn>
 *
 */


#ifndef CHECKBOXPARAMETERS_H
#define CHECKBOXPARAMETERS_H

#include <QBrush>
#include <QPen>

class CheckBoxParameters
{
public:
    CheckBoxParameters();
    ~CheckBoxParameters(){}
//private:
    int radius;

    QBrush checkBoxDefaultBrush;
    QBrush checkBoxHoverBrush;
    QBrush checkBoxClickBrush;
    QBrush checkBoxDisableBrush;
    QBrush checkBoxOnDefaultBrush;
    QBrush checkBoxOnHoverBrush;
    QBrush checkBoxOnClickBrush;

    QPen checkBoxDefaultPen;
    QPen checkBoxHoverPen;
    QPen checkBoxClickPen;
    QPen checkBoxDisablePen;
    QPen checkBoxOnDefaultPen;
    QPen checkBoxOnHoverPen;
    QPen checkBoxOnClickPen;
};

#endif // CHECKBOXPARAMETERS_H
